import * as lambda from 'aws-cdk-lib/aws-lambda';
import { Construct } from 'constructs';
/**
 * Props for DeleteRunnerFunction
 */
export interface DeleteRunnerFunctionProps extends lambda.FunctionOptions {
}
/**
 * An AWS Lambda function which executes src/delete-runner.
 */
export declare class DeleteRunnerFunction extends lambda.Function {
    constructor(scope: Construct, id: string, props?: DeleteRunnerFunctionProps);
}
