import * as lambda from 'aws-cdk-lib/aws-lambda';
import { Construct } from 'constructs';
/**
 * Props for DeleteAmiFunction
 */
export interface DeleteAmiFunctionProps extends lambda.FunctionOptions {
}
/**
 * An AWS Lambda function which executes src/image-builders/aws-image-builder/delete-ami.
 */
export declare class DeleteAmiFunction extends lambda.Function {
    constructor(scope: Construct, id: string, props?: DeleteAmiFunctionProps);
}
