export declare function baseUrlFromDomain(domain: string): string;
export declare function getOctokit(installationId?: string): Promise<{
    githubSecrets: any;
    octokit: import("@octokit/core").Octokit & {
        paginate: import("@octokit/plugin-paginate-rest").PaginateInterface;
    } & import("@octokit/plugin-rest-endpoint-methods/dist-types/generated/method-types").RestEndpointMethods & import("@octokit/plugin-rest-endpoint-methods/dist-types/types").Api;
}>;
interface GitHubRunner {
    readonly id: number;
    readonly name: string;
    readonly os: string;
    readonly status: string;
    readonly busy: boolean;
    readonly labels: {
        readonly id: number;
        readonly name: string;
        readonly type: string;
    }[];
}
export declare function getRunner(octokit: any, owner: string, repo: string, name: string): Promise<GitHubRunner | undefined>;
export {};
